require_dependency "skirental_web_frontend/application_controller"

module SkirentalWebFrontend
    class ReservationsController < ApplicationController
        def show
            if !possible_country_codes.include?(first_element_from_path) && (first_element_from_path != locale_from_browser)
                if locale_from_browser == "en"
                    # special case: en has no prefix!
                elsif possible_country_codes.include?(locale_from_browser)
                    # add language prefix if it is supported
                    redirect_to "/#{locale_from_browser}#{request.original_fullpath}"
                end
            end

            # This is the ID of the given shop
            @shop_id = params[:shop_id]
            session[:foo] = "bar" # create session object, it may be empty otherwise…
            @session_id = session.id
            puts "**** #{@session_id}"

            unless params[:locale].blank?
                locale = params[:locale]
                if locale == "de"
                    render "show_de"
                end
            end
        end
    end
end
